kind: pipeline
type: kubernetes
name: default

steps:
- name: build
  image: registry.aws.minori.work/imi415/arm-none-toolchain:latest
  pull: always
  commands:
    - mkdir build
    - cd build
    - cmake -DCMAKE_TOOLCHAIN_FILE=arm-none-eabi.cmake ..
    - make
  environment:
    ARMGCC_DIR: /usr/local

image_pull_secrets:
- pull-secret
